resources:
  App\Entity\User\Info\ActivityInfoUpdateRequest:
    security: 'is_granted("ROLE_INTERNAL")'
    securityMessage: 'This operation is restricted to internal systems and authorized personnel only. Please ensure you have the necessary permissions before proceeding.'
    normalizationContext:
      groups:
        - 'identifier:read'
        - 'time_trace:read'
        - 'activity_info_update_request:read_detail'

    denormalizationContext:
      groups:
        - 'activity_info_update_request:write'
        - 'activity_info:write'

    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'activity_info_update_request.order_filter', 'activity_info_update_request.search_filter' ]
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
          summary: >
            ActivityInfoUpdateRequest - List - [INTERNAL USE ONLY].

          description: >
            Retrieves a list of ActivityInfoUpdateRequest
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.

      ApiPlatform\Metadata\Get:
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
          summary: ActivityInfoUpdateRequest - Item - [INTERNAL USE ONLY].
          description: >
            Retrieves a item of ActivityInfoUpdateRequest
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.

      ApiPlatform\Metadata\Post:
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
          summary: ActivityInfoUpdateRequest - Create - [INTERNAL USE ONLY].
          description: >
            Create an item of ActivityInfoUpdateRequest
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.

      ApiPlatform\Metadata\Put:
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
          summary: ActivityInfoUpdateRequest - Update - [INTERNAL USE ONLY].
          description: >
            Update an item of ActivityInfoUpdateRequest
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.

      ApiPlatform\Metadata\Delete:
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
          summary: ActivityInfoUpdateRequest - Delete - [INTERNAL USE ONLY].
          description: >
            Delete an item of ActivityInfoUpdateRequest
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
